## com.typesafe.config
Class ConfigException.ValidationProblem

    java.lang.Object
      com.typesafe.config.ConfigException.ValidationProblem

Enclosing class:
  ConfigException

    public static class ConfigException.ValidationProblem

extends Object

Information about a problem that occurred in `Config.checkValid(com.typesafe.config.Config, java.lang.String...)`. A `ConfigException.ValidationFailed` exception thrown from `checkValid()` includes a list of problems encountered.

Constructor Summary
`ConfigException.ValidationProblem(String path, ConfigOrigin origin, String problem)`

Method Summary
`ConfigOrigin` `origin()` Returns where the problem occurred (origin may include info on the file, line number, etc.).
`String` `path()` Returns the config setting causing the problem.
`String` `problem()` Returns a description of the problem.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigException.ValidationProblem

    public ConfigException.ValidationProblem(String path,
                                             ConfigOrigin origin,
                                             String problem)

Method Detail

### path

    public String path()

  Returns the config setting causing the problem.

### origin

    public ConfigOrigin origin()

  Returns where the problem occurred (origin may include info on the file, line number, etc.).

### problem

    public String problem()

  Returns a description of the problem.